import { InternshipInfoDTO, InternshipRegistrationUpdate } from "@/api/dto/internship-registration";
import { axios } from "@/api/index";
import { Nullable } from "@/helpers";

const INTERNSHIP_REGISTRATION_ENDPOINT = '/internshipRegistration';
const INTERNSHIP_ENDPOINT = '/internship';

export async function update(internship: Nullable<InternshipRegistrationUpdate>): Promise<boolean> {
    await axios.put(INTERNSHIP_REGISTRATION_ENDPOINT, internship);

    return true;
}

export async function get(): Promise<InternshipInfoDTO> {
    const response = await axios.get<InternshipInfoDTO>(INTERNSHIP_ENDPOINT);
    return response.data;
}
