import { axios } from "@/api/index";
import { Student } from "@/data/student";
import { StudentDTO, studentDtoTransfer } from "@/api/dto/student";

export const CURRENT_STUDENT_ENDPOINT = '/students/current';

export async function current(): Promise<Student> {
    const response = await axios.get<StudentDTO>(CURRENT_STUDENT_ENDPOINT);
    const dto = response.data;

    return studentDtoTransfer.transform(dto);
}

export async function update(student: Student): Promise<Student> {
    const dto = studentDtoTransfer.reverseTransform(student);
    const response = await axios.put(CURRENT_STUDENT_ENDPOINT, dto);

    return student;
}
