import { Edition } from "@/data/edition";
import { EditionAction, EditionActions } from "@/state/actions/edition";
import { editionSerializationTransformer, Serializable } from "@/serialization";
import { LoginAction, LogoutAction, UserActions } from "@/state/actions";

export type EditionState = Serializable<Edition> | null;

const initialEditionState: EditionState = null;

const editionReducer = (state: EditionState = initialEditionState, action: EditionAction | LogoutAction | LoginAction): EditionState => {
    switch (action.type) {
        case EditionActions.Set:
            return editionSerializationTransformer.transform(action.edition);
        case UserActions.Login:
        case UserActions.Logout:
            return initialEditionState;
    }

    return state;
}

export default editionReducer;
