import { combineReducers } from "redux";

import studentReducer from "@/state/reducer/student"
import editionReducer from "@/state/reducer/edition";
import settingsReducer from "@/state/reducer/settings";
import internshipProposalReducer from "@/state/reducer/proposal";
import internshipPlanReducer from "@/state/reducer/plan";
import insuranceReducer from "@/state/reducer/insurance";
import userReducer from "@/state/reducer/user";

const rootReducer = combineReducers({
    student: studentReducer,
    edition: editionReducer,
    settings: settingsReducer,
    proposal: internshipProposalReducer,
    plan: internshipPlanReducer,
    insurance: insuranceReducer,
    user: userReducer,
})

export type AppState = ReturnType<typeof rootReducer>;

export default rootReducer;

export const isReady = (state: AppState) => !!state.edition;
